Subject: [mile] [Technical Errata Reported] RFC7970 (6168)

From: RFC Errata System <[email-masked]>
Date: Mon, 11 May 2020 06:23:53 -0700 (PDT)

The following errata report has been submitted for RFC7970,
"The Incident Object Description Exchange Format Version 2".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6168

--------------------------------------
Type: Technical
Reported by: François Poirotte <[email-masked]>

Section: 2.17

Original Text
-------------
There is no original text (new section)

Corrected Text
--------------
2.17.  Boolean

A boolean is represented in the information model by the BOOLEAN
data type.  

The BOOLEAN data type is implemented in the data model as an
"xs:boolean" type per Section 3.2.2 of [W3C.SCHEMA.DTYPES].

Notes
-----
Section 2.16 defines "boolean" as a valid value for the "dtype" attribute, stating that "The element content is of type BOOLEAN.".
This is reinforced by the definition of "dtype-type" inside the XML schema in section 8 where "boolean" is indeed listed as a valid value.
However, the BOOLEAN type is never actually defined in the RFC.

This change adds a new section (tentatively named 2.17) under section 2 which defines the BOOLEAN type based on the definition of other types used by the RFC.

It might be preferable to put the new section near the beginning of section 2 with other primitive datatypes like INTEGER and REAL.
Please note that this change also impacts the table of contents.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7970 (draft-ietf-mile-rfc5070-bis-26)
--------------------------------------
Title               : The Incident Object Description Exchange Format Version 2
Publication Date    : November 2016
Author(s)           : R. Danyliw
Category            : PROPOSED STANDARD
Source              : Managed Incident Lightweight Exchange
Area                : Security
Stream              : IETF
Verifying Party     : IESG